Bug 1051367 - [abrt] gnome-settings-daemon: notify_idle(): gnome-settings-daemon killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: notify_idle(): gnome-settings-daemon killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45613b8d8781548cbc41c28f6b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 07:08 UTC by Michael Cronenworth
Modified: 2015-06-29 14:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:19:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.40 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: core_backtrace (13.62 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: dso_list (16.05 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: environ (1.19 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: maps (82.91 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: open_fds (2.18 KB, text/plain)
2014-01-10 07:08 UTC, Michael Cronenworth
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-01-10 07:09 UTC, Michael Cronenworth
no flags Details
File: var_log_messages (487 bytes, text/plain)
2014-01-10 07:09 UTC, Michael Cronenworth
no flags Details

Description Michael Cronenworth 2014-01-10 07:08:44 UTC
Description of problem:
Disabled the 'xsettings' plugin with dconf-editor. g-s-d promptly crashed.

Version-Release number of selected component:
gnome-settings-daemon-3.10.2-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: notify_idle
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 notify_idle at gsd-xsettings-manager.c:396
 #5 gtk_main at gtkmain.c:1158

Comment 1 Michael Cronenworth 2014-01-10 07:08:47 UTC
Created attachment 848060 [details]
File: backtrace

Comment 2 Michael Cronenworth 2014-01-10 07:08:49 UTC
Created attachment 848061 [details]
File: cgroup

Comment 3 Michael Cronenworth 2014-01-10 07:08:50 UTC
Created attachment 848062 [details]
File: core_backtrace

Comment 4 Michael Cronenworth 2014-01-10 07:08:52 UTC
Created attachment 848063 [details]
File: dso_list

Comment 5 Michael Cronenworth 2014-01-10 07:08:53 UTC
Created attachment 848064 [details]
File: environ

Comment 6 Michael Cronenworth 2014-01-10 07:08:55 UTC
Created attachment 848065 [details]
File: exploitable

Comment 7 Michael Cronenworth 2014-01-10 07:08:56 UTC
Created attachment 848066 [details]
File: limits

Comment 8 Michael Cronenworth 2014-01-10 07:08:58 UTC
Created attachment 848067 [details]
File: maps

Comment 9 Michael Cronenworth 2014-01-10 07:08:59 UTC
Created attachment 848068 [details]
File: open_fds

Comment 10 Michael Cronenworth 2014-01-10 07:09:01 UTC
Created attachment 848069 [details]
File: proc_pid_status

Comment 11 Michael Cronenworth 2014-01-10 07:09:03 UTC
Created attachment 848070 [details]
File: var_log_messages

Comment 12 Michael Cronenworth 2014-01-10 17:41:10 UTC
After investigating: notify_idle() is being called after GnomeXSettingsManager has been free'd. One fix would be to add a NULL check to the for() loop in notify_idle().

- for (i = 0; manager->priv->managers [i]; i++) {
+ for (i = 0; manager->priv->managers && manager->priv->managers[i]; i++) {

Comment 13 Fedora End Of Life 2015-05-29 10:25:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:19:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.